Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002771Zandronum[All Projects] Bugpublic2016-07-03 21:272017-02-13 02:31
ReporterDusk 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002771: authhostname DNS lookup during startup
DescriptionAs a consequence of setting the default of 𝚊𝚞𝚝𝚑𝚑𝚘𝚜𝚝𝚗𝚊𝚖𝚎 to a non-empty value, Zandronum now does a DNS lookup during startup. If the lookup takes time (e.g. the network hangs), the startup is delayed until the lookup completes or times out. I thought Zandronum froze at first.
Attached Files

- Relationships

-  Notes
User avatar (0016334)
Torr Samaho (administrator)
2016-11-27 08:46

The DNS lookup should now only be done when necessary.
User avatar (0016822)
Decay (reporter)
2017-02-08 01:27

What is the method to use to test this? Or perhaps does Dusk feel this is resolved?
User avatar (0016858)
StrikerMan780 (reporter)
2017-02-13 02:25
edited on: 2017-02-13 02:27

Running it on a disconnected system seems to be fine. Also routing it to localhost via the hosts file seems fine as well. Unplugging while the game starts doesn't seem to affect it either.


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-07-03 21:27 Dusk New Issue
2016-11-27 08:31 Torr Samaho Target Version => 3.0
2016-11-27 08:46 Torr Samaho Note Added: 0016334
2016-11-27 08:46 Torr Samaho Assigned To => Torr Samaho
2016-11-27 08:46 Torr Samaho Status new => needs testing
2017-02-08 01:27 Decay Note Added: 0016822
2017-02-13 02:25 StrikerMan780 Note Added: 0016858
2017-02-13 02:27 StrikerMan780 Note Edited: 0016858 View Revisions
2017-02-13 02:31 Ru5tK1ng Status needs testing => resolved
2017-02-13 02:31 Ru5tK1ng Resolution open => fixed
2017-02-13 02:31 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker